ALLEGRO_VIDEO_EVENT_TYPE(3)

NAME

ALLEGRO_VIDEO_EVENT_TYPE - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_video.h>
    enum ALLEGRO_VIDEO_EVENT_TYPE

DESCRIPTION

Events sent by al_get_video_event_source(3).

  ALLEGRO_EVENT_VIDEO_FRAME_SHOW

This event is sent when it is time to show a new frame. Once you receive this event, you can draw the current frame (as returned by al_get_video_frame(3)). al_get_video_frame(3) will continue returning the same frame until the next ALLEGRO_EVENT_VIDEO_FRAME_SHOW is sent.

user.data1 (ALLEGRO_VIDEO *)
    The video which generated the event.

SINCE

5.1.0

  ALLEGRO_EVENT_VIDEO_FINISHED

This event is sent when the video is finished. Depending on the backend, it may be possible to seek to an earlier part of the video and set the video to play to resume playback.

user.data1 (ALLEGRO_VIDEO *)
    The video which generated the event.

SINCE

5.1.0